#!/bin/bash

# This script is executed whenever scanbuttond
# finds new devices.
# If your scanner needs a firmware upload or any other kind
# of special action to be taken on initialization, put
# the apropriate command here.

# Name of the scanner to initialize
# Use 'scanimage --list-devices' to show all available scanners.
SCANNER="Plustek OpticSlim 2400 flatbed scanner"

echo "################################################################################"
echo
SCANNERS=`scanimage --formatted-device-list '%d ^%v %m %t^\' | sed 's/\\\/\\n/g'`
SCANDEV=`echo "$SCANNERS" | grep "\^$SCANNER\^" | awk '{ print $1 }'`
if [ "$SCANDEV" ]; then
  echo "Initializing '$SCANNER'... "
  echo
  scanimage --dont-scan --device-name=$SCANDEV
  echo
  echo "done."
  echo
  echo "'$SCANNER' is ready."
else
  echo "'$SCANNER' not found."
  echo "Please connect your scanner."
fi
echo
echo "################################################################################"
echo
